Bug 459371 - Notes on hardware features in RHEL5.3
Notes on hardware features in RHEL5.3
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-release-notes (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Ryan Lerch
Joshua Wulf
: Documentation, FutureFeature
Depends On:
Blocks: RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-08-17 18:27 EDT by Ryan Lerch
Modified: 2014-10-19 18:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 20:06:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Lerch 2008-08-17 18:27:16 EDT
On Fri, 2008-08-15 at 16:03 -0400, Tim Burke wrote:
> We were asked to pull together a list of hardware related changes in 
> RHEL5.3 for a customer call.  Courtesy the managers on my crew (thanks 
> guys) here's what we pulled together.  Thought it might be useful to 
> share this info more broadly as I can imagine it may be useful for 
> release notes or other 5.3 related collateral.  Not claiming this is a 
> comprehensive list, but its a start.
>
>
> Hardware Related Changes in RHEL5.3
>
> --------------------------------------------------------------
> Anaconda:
> BZ 184648
> Build Linux distribution such that it can be installed from a CD or DVD that is
> via SCSI/FCP directly attached a zSeries.
>
> BZ 261101
> We let you blink the NIC lights so you can identify which one you're using
>
> BZ 444820
> Add niu driver to RHEL5.X distributions. The Sun platforms CP3220 has builtin
> 10Gbps Ethernet networking device which requires the niu driver to enable the HW
>
>
> BZ 439438 (this actually hit 5.2 but they re-requested)
> Add the cxgb3 driver to installer and initrd so that the Chelsio 10Gb RNIC adapter becomes a
> bootable device on i/p6 servers.
>
> Plus we're adding encrypted root filesystem support. 
> --------------------------------------------------------------
> Kernel
>
> Source code to support AMD IOMMU hardware, (RD890 chipset), will be
> added to the kernel.  There will be a kernel config option to build the
> IOMMU support into RHEL 5.3,  but the code path will not be enabled by
> default.  Users will need to specify a kernel parameter to enable the
> new code.
>
>
> --------------------------------------------------------------
> User space packages
>
> edac-utils: a bug fix, not new HW enablement (bug 440253)
> cpuspeed: (bug 438835 (FEAT RHEL5.3: compile powenow-k8 as a lodable module)) 
>
> Changes to the Wacom tablet input device: linuxwacom, wacomexpresskeys, wdaemon 
>
> We're doing a rebase of lm_sensors which will add a considerable amount 
> of support for newer chipsets. See details at the end of this writeup.
> --------------------------------------------------------------
> gcc/glibc - (still need to pull in this info)
> --------------------------------------------------------------
> lm_sensors detail:
>
> lm-sensors-2.10.0 - lm_sensors-2.10.7 adds support for:
>
> library:
>  - Add dme1737 support
>  - Add applesmc support
>  - Add abituguru3 support
>  - Add f71882fg support
>  - Add w83627ehf support (for Linux 2.4)
>  - Add support for the w83627ehf VID function
>  - Add support for the w83627ehf thermal sensor types
>  - Add support for it87 fan4 and fan5
>  - Add support for the SMSC LPC47M292 fans (prefix smsc47m2)
>  - Add support for the pc87247 driver (fans only)
>  - Add support for coretemp driver
>  - Add config-file scanner regression tests
>  - Add f71872f support
>  - Add w83627dhg support
>  - Add adm1029 support
>  - Add support for W83627EHF voltage inputs and alarms
>  - Add support for the smsc47m192 driver
>  - Add support for the IT8716F and IT8718F chips
>  - Add support for the W83793 chip (Yuan Mu)
>
> sensord:
>  - Add lm90, adm1032, lm99, lm86, max6657, adt7461 support
>  - Add lm85 support
>  - Add sch311x support
>  - Add support for adm1022 temp3
>  - Add w83793 support
>  - Add lm87 support
>  - Add pc87247 support (fans only)
>  - Add vt1211 support
>  - Add w83627dhg support
>  - Add w83627ehf voltage support
>  - Add k8temp support
>
> sensors:
>  - Add sch311x support
>  - Add thmc50/adm1022 support
>  - Add dme1737 support
>  - Add applesmc support
>  - Add max6680 support
>  - Add abituguru3 support
>  - Add f71882fg support
>  - Add support for the w83627ehf VID function
>  - Add support for the w83627ehf thermal sensor types
>  - Add support for it87 fan4 and fan5
>  - Add smsc47m2 support (fans)
>  - Add pc87247 support (fans only)
>  - Add f71872f support
>  - Add w83627dhg support
>  - Add adm1029 support
>  - Add smsc47m192 support
>  - Add abituguru support
>  - Add it8716 and it8718 support
>  - Add w83793 support (Yuan Mu)
>
> sensor-detect:
>  - Add SMSC SCH5127 detection
>  - Add National Semiconductor LM64 detection
>  - Add Asus F8000 detection
>  - Add Intel ICH10 (bus) detection
>  - Add Dallas DS1631 detection
>  - Add VIA C7 support
>  - Add Texas Instruments TMP401 detection
>  - Add SMSC LPC47B367-NC detection (no sensors)
>  - Add Intel Celeron 4xx and Penryn (CPU on 45nm) detection
>  - Add SMSC SCH5514D-NS detection (no sensors)
>  - Add Fintek F71858DG detection
>  - Add Fintek F81216D detection (no sensors)
>  - Add SMSC SCH5027D detection
>  - Add Winbond W83L786NR/NG/R/G detection
>  - Add Winbond W83L771W/G detection
>  - Add Intel Tolapai SMBus detection
>  - Add AMD K10 CPU sensor detection
>  - Add ATI SB700 detection
>  - Add Maxim MAX6680/MAX6681 detection
>  - Add IT8726F detection
>  - Add detection for non-standard SMSC Super-I/Os
>  - Add SMSC SCH5317 detection
>  - Add detection of many SMSC Super-I/O chips
>  - Add Fintek F71806FG and F71862FG detection
>  - Add Maxim MAX6655/MAX6656 detection
>  - Add Maxim MAX1668, MAX1805, MAX1989 detection
>  - Add VIA CX700 detection
>  - Add Dallas DS75 detection
>  - Add SMSC LPC47M292 detection
>  - Add nVidia MCP61 and MCP65 detection
>  - Add Nat. Semi. PC8347L Super-I/O detection
>  - Add SMSC SCH5504 Super-I/O detection (no sensors)
>  - Add SMSC DME1737 detection
>  - Add Fintek F71882FG and EPoX EP1308 detection
>  - Add Intel Core thermal sensor detection
>  - Add Intel ICH9 detection
>  - Add Maxim MAX6648/MAX6692 detection
>  - Add Andigilog chips detection
>  - Add Intel AMB FB-DIMM thermal sensor detection
>  - Add ATI SB600 detection
>  - Add ServerWorks HT-1000 SMBus detection
>  - Add ATI IXP200/300/400 SMBus detection
>  - Add Fintek F75363SG, F75111R/RG/N, F75121R, F75122R/RG, F75373S/SG, F75375S/SP, F75383S/M, F75384S/M, F75387SG/RG and F81218D detection
>  - Add Winbond W83793R/G and W83627DHG detection
>  - Add nForce4 MCP04, MCP51 and MCP55 detection
>  - Add AMD Geode devices detection
>  - Add ITE IT8716F and IT8718F detection
>  - Add NatSemi/Winbond PC87427 detection
>  - Add Intel ICH8 SMBus detection
>  - Add AMD K8 thermal sensors detection
>  - Add Analog Devices ADM1033, ADM1034, ADT7462, ADT7466, ADT7470, ADT7473 and ADT7475 detection
>  - Add VT8237A and VT8251
>  - Add generic PCI SMBus adapter detection
>  - Add generic Super-I/O logical device detection
>  - Add SMSC LPC47M172/182 detection 
> --------------------------------------------------------------

Note You need to log in before you can comment on or make changes to this bug.